classification
Title: Adding tests for PyUnicode_AsUTF8 and PyUnicode_AsUTF8AndSize
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: shihai1991, vstinner, xiang.zhang
Priority: normal Keywords: patch

Created on 2019-07-01 18:29 by shihai1991, last changed 2019-07-20 07:58 by xiang.zhang. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14531 merged shihai1991, 2019-07-01 18:32
Messages (2)
msg347059 - (view) Author: hai shi (shihai1991) * Date: 2019-07-01 18:29
As title, Adding a unit test of unicode in test_unicode.py.
msg348209 - (view) Author: Xiang Zhang (xiang.zhang) * (Python committer) Date: 2019-07-20 07:56
New changeset 5623ac87bbe5de481957eca5eeae06347612fbeb by Xiang Zhang (Hai Shi) in branch 'master':
bpo-37476: Adding tests for asutf8 and asutf8andsize (GH-14531)
https://github.com/python/cpython/commit/5623ac87bbe5de481957eca5eeae06347612fbeb
History
Date User Action Args
2019-07-20 07:58:41xiang.zhangsetstatus: open -> closed
title: Adding a unit test of unicode in test_unicode.py -> Adding tests for PyUnicode_AsUTF8 and PyUnicode_AsUTF8AndSize
resolution: fixed
stage: patch review -> resolved
2019-07-20 07:56:37xiang.zhangsetnosy: + xiang.zhang
messages: + msg348209
2019-07-08 03:26:17xiang.zhangsettype: enhancement
versions: + Python 3.9
2019-07-05 18:57:26terry.reedysetnosy: + vstinner
2019-07-01 18:32:21shihai1991setkeywords: + patch
stage: patch review
pull_requests: + pull_request14344
2019-07-01 18:29:52shihai1991create